#include<stdio.h>
#include<conio.h>

float a[100], b[100], c[100], F, max=0;
int n,i,db=0,k;

main()

{
 clrscr();

   printf("\nH ny t‚glatest van?");
   scanf("%d",&n);

   for (i=0; i<n; i++)

   {
    printf("\nA %d.t‚glatest oldalai:",i+1);
    scanf("%f",&a[i]);
    scanf("%f",&b[i]);
    scanf("%f",&c[i]);

    if (a[i]==b[i]&&b[i]==c[i]) db++; //A kock k sz m t sz moljuk//
    //sz m¡tsuk ki a testek felsz¡n‚t//

    F=2*(a[i]*b[i]+b[i]*c[i]+a[i]*c[i]);

    if (F>max)
     {
      max=F;
      k=i;      /*a megvizsg lt t‚glatestek a 'k' indexûnek a felsz¡ne*/
     }
  }
     printf("\n%d db kock t tal ltunk",db);

     printf("\nA legnagyobb felsz¡nû t‚glatest t‚rfogata:%f", a[k]*b[k]*c[k]);

     getch();

 }